TYPO3.Flow - Feature # 30890

Status: Accepted Priority: Should have
Author: Christian Mdiller Category: MVC

Created: 2011-10-13 Assigned To: Christian Mdiller
Updated: 2013-05-21 Due date:

PHP Version:

Has patch: No

Complexity:

Subject: Developer Toolbar

Description

Create a toolbar that can be enabled to provide easy debugging features and help to the FLOW3 developer.

Some ideas (to be updated):

- Logfiles

- Exceptions

- Code browsing?

- Cache flush

- Statistical data (memory usage, request time)?
- DQL console

- Configuration Reader / Editor

- Fluid Inspector?

Related issues:
related to TYPOS3.Flow - Feature # 26986: Debug toolbar

Accepted

2011-05-23

History

#1 - 2012-05-15 15:36 - Robert Lemke
- Target version changed from 1.1 to 2.0 beta 1
- Has patch set to No

#2 - 2012-05-21 10:30 - Marc Neuhaus

Since this Tickets didn't get much attention and i suddenly just wanted a toolbar like the one from Symfony2 i went ahead and created one:

https://github.com/mneuhaus/Debug.Toolbar

#3 - 2012-12-10 13:30 - Karsten Dambekalns

- Target version changed from 2.0 beta 1 to 2.1

#4 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)
